import path_setting
from in_common.base_request import BaseRequest


class visual_beauty_card_request(BaseRequest):
    def __init__(self):
        #自定义专题-更美次卡橱窗组件商品
        self.data = self.api_load(path_setting.VISUAL_BEAUTY_CARD_SERVICES_CONFIG)
        #自定义专题-更美次卡商品列表筛选器
        self.data = self.api_load(path_setting.BEAUTYCARD_FILTERS_CONFIG)

    #自定义专题-更美次卡橱窗组件商品
    def visual_beauty_card_services(self, unit_id, current_city_id, page, page_size, version, device_id = '97B6764B-2135-4761-9911-701C38CBC272'):
        self.params["unit_id"] = unit_id
        self.params["current_city_id"] = current_city_id
        self.params["page"] = page
        self.params["page_size"] = page_size
        self.params["version"] = version

        return self.api_send(self.data['visual_beauty_card_services'])

    #自定义专题-更美次卡商品列表筛选器
    def beautycard_filters(self, unit_id, current_city_id, version, device_id = '97B6764B-2135-4761-9911-701C38CBC272'):
        self.params["unit_id"] = unit_id
        self.params["current_city_id"] = current_city_id
        self.params["version"] = version

        return self.api_send(self.data['beautycard_filters'])

    #自定义专题-更美次卡商品列表组件商品
    def beautycard_skus(self, unit_id, tag_id, area, sort_type, page, page_size, version, device_id = '97B6764B-2135-4761-9911-701C38CBC272'):
        self.params["unit_id"] = unit_id
        self.params["tag_id"] = tag_id
        self.params["area"] = area
        self.params["sort_type"] = sort_type
        self.params["page"] = page
        self.params["page_size"] = page_size
        self.params["version"] = version

        return self.api_send(self.data['beautycard_skus'])